Subject: 回复：回复：another autovacuum scheduling thread

From: "段坤仁(刻韧)" <[email-masked]>
Date: Fri, 14 Nov 2025 10:25:54 +0800

Thank you for your reply. You are absolutely right, and I apologize for straying off-topic in this thread. I have moved my thoughts to a separate thread [0].
[0]https://www.postgresql.org/message-id/fffdd62e-4d97-4701-ad57-0cd3ef1ebef4.duankunren.dkr%40alibaba-inc.com <https://www.postgresql.org/message-id/fffdd62e-4d97-4701-ad57-0cd3ef1ebef4.duankunren.dkr%40alibaba-inc.com >
------------------------------------------------------------------
发件人：Nathan Bossart <[email-masked]>
发送时间：2025年11月14日(周五) 02:47
收件人："段坤仁(刻韧)"<[email-masked]>
抄　送：Sami Imseih<[email-masked]>; Jeremy Schneider<[email-masked]>; Robert Treat<[email-masked]>; David Rowley<[email-masked]>; Robert Haas<[email-masked]>; "pgsql-hackers"<[email-masked]>
主　题：Re: 回复：another autovacuum scheduling thread
On Fri, Nov 14, 2025 at 02:37:31AM +0800, 段坤仁(刻韧) wrote:
> Hi all, I have read the discussion in this thread and am pleased to see the
> community working collaboratively to address some long-standing autovacuum
> problems. Nathan's patch implementation is quite promising and demonstrates
> considerable potential. I have previously attempted similar approaches; however,
> I was unable to develop such a comprehensive and well-formulated calculation
> framework. We would certainly welcome the integration of this improvement into
> v19 or subsequent versions.
Thanks!
> I have tried Nathan's V7 patch and implemented some cost delay mechanisms
> based on it that might be helpful for the issues you guys mentioned.
Unfortunately, cost delay adjustments are off-topic for this thread, as I
hinted yesterday [0]. I'd certainly like to explore this idea, but if we
can't keep the discussion focused, it'll be hard to get anything committed.
[0] https://postgr.es/m/aRTpqMleDpoQm9OO%40nathan <https://postgr.es/m/aRTpqMleDpoQm9OO%40nathan >
-- 
nathan